import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { MsK8sPod } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:06
 */
interface MsK8sPodCU extends ConditionUtil<MsK8sPodCU>{
    ID:FieldUtil<MsK8sPodCU>;
    CREATE_TIME:FieldUtil<MsK8sPodCU>;
    UPDATE_TIME:FieldUtil<MsK8sPodCU>;
    STATE:FieldUtil<MsK8sPodCU>;
    K8S_ID:FieldUtil<MsK8sPodCU>;
    NAMESPACE:FieldUtil<MsK8sPodCU>;
    ENV_CODE:FieldUtil<MsK8sPodCU>;
    DEPLOYMENT_ID:FieldUtil<MsK8sPodCU>;
    POD_ID:FieldUtil<MsK8sPodCU>;
    IP:FieldUtil<MsK8sPodCU>;
    PORT:FieldUtil<MsK8sPodCU>;
    ENV_MAP:FieldUtil<MsK8sPodCU>;
    CONTENT:FieldUtil<MsK8sPodCU>;
}

class MsK8sPodCUImpl extends ConditionUtilImpl<MsK8sPodCUImpl> implements MsK8sPodCU{ 
    newInstance(): MsK8sPodCUImpl {
        return new MsK8sPodCUImpl();
    } 
    get ID(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('id','id','id', this);
    }
    get CREATE_TIME(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_TIME(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
    get STATE(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('state','state','state', this);
    }
    get K8S_ID(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('k8s_id','k8sId','k8sId', this);
    }
    get NAMESPACE(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('namespace','namespace','namespace', this);
    }
    get ENV_CODE(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('env_code','envCode','envCode', this);
    }
    get DEPLOYMENT_ID(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('deployment_id','deploymentId','deploymentId', this);
    }
    get POD_ID(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('pod_id','podId','podId', this);
    }
    get IP(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('ip','ip','ip', this);
    }
    get PORT(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('port','port','port', this);
    }
    get ENV_MAP(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('env_map','envMap','envMap', this);
    }
    get CONTENT(): FieldUtil<MsK8sPodCU>{  
        return new FieldUtil('content','content','content', this);
    }
}

@Singleton 
class MsK8sPodMU extends TableUtilImpl<MsK8sPodCU,MsK8sPod>{ 
    tableName  = 'ms_k8s_pod';
    tableFields  = ['id','create_time','update_time','state','k8s_id','namespace','env_code','deployment_id','pod_id','ip','port','env_map','content'];
    modelFields  = ['id','createTime','updateTime','state','k8sId','namespace','envCode','deploymentId','podId','ip','port','envMap','content'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): MsK8sPodCU {
        return new MsK8sPodCUImpl();
    }   

    static get ID(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('id','id','id', new MsK8sPodCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new MsK8sPodCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new MsK8sPodCUImpl());
    }
    static get STATE(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('state','state','state', new MsK8sPodCUImpl());
    }
    static get K8S_ID(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('k8s_id','k8sId','k8sId', new MsK8sPodCUImpl());
    }
    static get NAMESPACE(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('namespace','namespace','namespace', new MsK8sPodCUImpl());
    }
    static get ENV_CODE(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('env_code','envCode','envCode', new MsK8sPodCUImpl());
    }
    static get DEPLOYMENT_ID(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('deployment_id','deploymentId','deploymentId', new MsK8sPodCUImpl());
    }
    static get POD_ID(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('pod_id','podId','podId', new MsK8sPodCUImpl());
    }
    static get IP(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('ip','ip','ip', new MsK8sPodCUImpl());
    }
    static get PORT(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('port','port','port', new MsK8sPodCUImpl());
    }
    static get ENV_MAP(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('env_map','envMap','envMap', new MsK8sPodCUImpl());
    }
    static get CONTENT(): FieldUtil<MsK8sPodCU>{ 
        return new FieldUtil('content','content','content', new MsK8sPodCUImpl());
    }

    get ID(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.ID;
    }
    get CREATE_TIME(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.UPDATE_TIME;
    }
    get STATE(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.STATE;
    }
    get K8S_ID(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.K8S_ID;
    }
    get NAMESPACE(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.NAMESPACE;
    }
    get ENV_CODE(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.ENV_CODE;
    }
    get DEPLOYMENT_ID(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.DEPLOYMENT_ID;
    }
    get POD_ID(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.POD_ID;
    }
    get IP(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.IP;
    }
    get PORT(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.PORT;
    }
    get ENV_MAP(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.ENV_MAP;
    }
    get CONTENT(): FieldUtil<MsK8sPodCU>{ 
        return MsK8sPodMU.CONTENT;
    }
}
export {MsK8sPodMU, MsK8sPodCU}
